<h1> CRUD </h1>



<h1> Directivas estructurales </h1>
<hr>

<div class="row">
    <div class="col-md-6">
        <ul class="list-group">

        </ul>
        <div class="card " style="max-width: 18rem;">
            <div class="card-header">Inserta un nuevo empleado</div>
            <div class="card-body">
                <div class="form-group">
                    <input [(ngModel)]="itemComentario.tipo" type="text" placeholder="inserta tipo" id="comentario" class="form-control mb-10">
                    <input [(ngModel)]="itemComentario.comentario" type="text" placeholder="inserta comentario" id="comentario" class="form-control">
                </div>
                <button 
                (click)="addOrEdit()"
                type="button" 
                class="btn btn-outline-primary btn-block"> Guardar </button>
                <button 
                (click)="delete()"
                *ngIf="itemComentario.id !== 0"
                 type="button" class="btn btn-outline-danger btn-block">
                    Eliminar
                </button>

            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="row">
            <div class="col-md-8">
                <ul class="list-group">
                    <li 
                    [class.active]="comentario == itemComentario"
                    (click)="openForEdit( comentario )"
                    *ngFor="let comentario of comentarios"
                    class="list-group-item list-group-item-action">
                    <span class="badge badge-primary">{{comentario.id}}</span>
                        {{comentario.comentario}} - {{comentario.tipo}}
                    </li>
                </ul>
            </div>
        </div>     
    </div>
</div>
<hr>